/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../libs.h"
#include "../../display/texture.h"
#include "../../display/texturescale.h"

typedef struct {
  texturescale_t textureScale;
  texture_t texture;
  uint8_t scale;
  pixel_t *data;
} assetmanagerscaledtexture_t;